Subject: Citriculture Conferences?

From: h9492010@hkusua (Wright Jacqueline Gilda)
Date: Wed, 2 Aug 1995 04:27:50 GMT

[ Article crossposted from sci.agriculture ]
[ Author was Wright Jacqueline Gilda ]
[ Posted on Mon, 31 Jul 1995 09:18:31 GMT ]

 Does anyone know of any international or national citriculture
 conferences to be held in the near future?  I believe there is an
 International Citriculture Society, does anyone know how I can contact
 them?  I would like to contact any societies for citriculture whether
 they be local or international bodies.  I am doing my PhD at Hong Kong
 U. studying citrus stem end rot and am doing international surveys and
 it would be handy to have contacts with a view to sampling.  Thankyou
 in advance. Jacqui Wright E-mail: [email-masked]